Конвертация

Обсуждение SCADA-систем: Citect SCADA, Vijeo Citect, CitectSCADA, CitectFacilities, PowerLogic SCADA, PowerSCADA, MX4SCADA, Desigo Insight.
kuol
Сообщений в теме: 2
Сообщения: 7
Зарегистрирован: 09 дек 2014, 01:12

Конвертация

#1

Сообщение kuol » 09 дек 2014, 01:21

Здравствуйте. Имеется проект в Citect (запускался и работает в версии 7.10). Если запустить этот же проект в той же версии 7.10r1 выдаёт сообщение об ошибки. Пробовала запускать еще в 7.20. В чем может быть проблема, пожскажите пожалуйста. Я с Citect начала знакомиться недавно. Может в ini-файле там где фигурирует 7.10 дописать r1?
У вас нет необходимых прав для просмотра вложений в этом сообщении.



Аватара пользователя
alex
Администратор
Сообщений в теме: 1
Сообщения: 1714
Зарегистрирован: 05 апр 2010, 21:58
Откуда: Москва
Благодарил (а): 43 раза
Поблагодарили: 95 раз
Контактная информация:

Re: Конвертация

#2

Сообщение alex » 09 дек 2014, 11:39

Вот что нам говорят статьи из баз знаний:

WARNING: Cannot convert "ORNL_Library_Updated" to version 7.20 format. You MUST use version 5.31 or greater to convert this project before upgrading!!
Summary:
I've upgraded my project from 7.20 to 7.20 spk4 and when I select my include project, the Graphics builder pops up the following warning: WARNING: Cannot convert 'ORNL_Library_Updated' to version 7.20 format. You MUST use version 5.31 or greater to convert this project before upgrading!!

This project was build in V7.20 as such I don't really understand what the warning means

Solution:
This error typically occurs because the Global.ctl was missing from the offending project.
The error can also occur when the project contains a very old version of the Global.ctl which is not the case in the afore mentioned example:

The Global.ctl only contains version information

To work around this problem simply follow the below steps
- Copy Global.ctl from CSV_Include to the offending project (above example: ORNL_Library_Updated )
*Powerlogic users can copy this file from the PLS_Include project
- Close and re-open Citect Explorer.
- Use commandline parameter -u to force an update if necessary.

Another way to go about this is to rename the offending projects extension from .ctz to zip
Then add the Global.ctl file from the CSV_Include and rename the extension back to .ctz

Usually "global.ctl" is copied from "[BIN]:empty.ctl" to [RUN:]"global.ctl"
when a new project is created.

Very old project files may not contain the global.ctl file.
Warning: Cannot convert "Project name" to version 6.xx format. You must use version 5.31 or greater to convert this project before upgrading!!"
Summary:
I am running Citect Version 6.xx. Every time I open a graphic page I get the following error.

"Warning: Cannot convert '<Project name>' to version 6.xx format. You must use version 5.31 or greater to convert this project before upgrading!!"

What can I do to get fix this error?

Solution:
This error would come up if the file is missing from your project folder.. This global.ctl file can also be obtained from Example project folder. Simply copy it from the example project folder and paste it in your project folder.
Missing Global.ctl File
When I start Citect V5.x Explorer, I get a message: "Do you want to upgrade your V1.xx graphics?".
My project is a V5.x project, I have done nothing in V1.x. If I click "yes", all my graphics pages are garbled after the update process.

Solution:
The file called "Global.ctl" may be missing from the project directory. Copy this file from the Include project in to your own project, or copy this file from an older version of your project.
If you delete this file the following messages will appear when starting up the Citect explorer with the project selected -

"About to convert to v5.xx format. If you have not backed up you database, cancel the operation and backup now."

If you click yes, the following message appears -

"Do you wish to have your 1.xx graphics files deleted ? These files are no longer used in this version. The following files are deleted: *.sym, *an, *.bar, *.trn, *.dir, *.rat."

If you click yes, the following message appears -

"Do you wish to have your version 1.xx background files deleted ? You will need these files if you use the version 1.xx drawing editor to maintain your drawings."

The end result is that for all graphics pages, all objects are located at the sample position (100,100) and the background colour and template have disappeared and you will be left with only single objects. These messages will only appear if you start up the Citect Explorer with that project selected. If you start up with a different project selected you can run the project without any problems.



kuol
Сообщений в теме: 2
Сообщения: 7
Зарегистрирован: 09 дек 2014, 01:12

Re: Конвертация

#3

Сообщение kuol » 09 дек 2014, 14:17

Спасибо большое. Кстати, файл с данным расширением всё же есть в запускающемся проекте, но ошибка пропала только после того как global.ctl изменен из на одноименный файл только из базовых примеров CITECT




Если эта тема может быть полезна другим, поделитесь ссылкой:

Вернуться в «Citect SCADA, Vijeo Citect, CitectSCADA, CitectFacilities, PowerLogic SCADA, PowerSCADA, MX4SCADA, Desigo Insight»